package com.bzd.system.service.dtp;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 随访指导管理表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SDtpZskcxFollowUpGuidanceService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSDtpZskcxFollowUpGuidance(PageData pd)throws Exception {
        return daoSupport.update("SDtpZskcxFollowUpGuidanceMapper.addSDtpZskcxFollowUpGuidance", pd);
    }

    public List<PageData> findSDtpZskcxFollowUpGuidanceList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SDtpZskcxFollowUpGuidanceMapper.selectSDtpZskcxFollowUpGuidanceList", pd);
    }

    public Integer SDtpZskcxFollowUpGuidanceRemove(PageData pd)throws Exception {
        return daoSupport.delete("SDtpZskcxFollowUpGuidanceMapper.SDtpZskcxFollowUpGuidanceRemove", pd);
    }


    public Integer updateSDtpZskcxFollowUpGuidance(PageData pd)throws Exception {
        return daoSupport.update("SDtpZskcxFollowUpGuidanceMapper.updateSDtpZskcxFollowUpGuidance", pd);
    }

}
